POSTGetBlockById

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/getblockbyid

Query block by ID(block hash). (Confirmed state)

Request Body
valuestring

Block ID (hash). Example: 00000000000f424013e51b18e0782a32fa079ddafdb2f4c343468cf8896dc887

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
blockIDstring

Block hash.

예: 00000000000000c82a54a3bbdc956e1ddebc903f29b8daf28505b56f55a3f87d

raw_dataobject

Raw data of the block header.

numberinteger

Block number (height).

예: 200

txTrieRootstring

Root hash of the transaction Merkle tree.

예: 0000000000000000000000000000000000000000000000000000000000000000

witness_addressstring

Address of the Super Representative that produced the block.

예: 411661f25387370c9cd3a9a5d97e60ca90f4844e7e

parentHashstring

Hash of the parent block.

예: 00000000000000c7c8f27726916dfddca3c1c3481eb01da8a08938263674cea4

timestampinteger

Timestamp. (Unit: millisecond)

예: 1529892138000

witness_signaturestring

Signature of the Super Representative.

예: 691e9116963b54ef7eb07692266319b029217e4d4ae8e8cb97e341617460f3822eff149c690aac6f2e0ad27d0af4fa8824d113d7a71c091245f778438ca4bde801

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/getblockbyid" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "00000000052b3fa2d0034a3cd2b4d64daf8d4ebf4e72e8d262cc47e9592b2453"
}'
Response
Example · 200
{
  "blockID": "00000000000000c82a54a3bbdc956e1ddebc903f29b8daf28505b56f55a3f87d",
  "block_header": {
    "raw_data": {
      "number": 200,
      "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000",
      "witness_address": "411661f25387370c9cd3a9a5d97e60ca90f4844e7e",
      "parentHash": "00000000000000c7c8f27726916dfddca3c1c3481eb01da8a08938263674cea4",
      "timestamp": 1529892138000
    },
    "witness_signature": "691e9116963b54ef7eb07692266319b029217e4d4ae8e8cb97e341617460f3822eff149c690aac6f2e0ad27d0af4fa8824d113d7a71c091245f778438ca4bde801"
  }
}